Album: Wrath and Angels
Date: January 31, 2014
Date Added: November 27, 2023
URLs:
- https://devieus.bandcamp.com/album/wrath-and-angels
Artists:
- Devieus
Cover Artists:
- Devieus
Cover Art File Extension: png
Color: '#db00db'
Groups:
- Devieus
- Fandom
Commentary: |-
    <i>Devieus:</i>
    A new year, but I'm not done yet. I've started doing [Weeklybeats 2014](https://weeklybeats.com/music?s=&f=8&y=2014&r=501) alongside this, though I've been using my ukulele for that. There's none of that here, all digitally made and looping.
---
Track: Wrath-fueled Hope Destruction
Duration: '2:35'
URLs:
- https://devieus.bandcamp.com/track/wrath-fueled-hope-destruction
Commentary: |-
    <i>Devieus:</i>
    It's like the [pyramid song](https://youtu.be/3M_Gg1xAHE4), 4 times 3/4 followed by a 4/4.
---
Track: Angels Flying With A Vengeance
Duration: '1:44'
URLs:
- https://devieus.bandcamp.com/track/angels-flying-with-a-vengeance
Commentary: |-
    <i>Devieus:</i>
    Angels=choir+harp, vengeance=minor chords. Like most songs here, it loops.
